<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bailuntec.mapper.DcAutoWarehouseweekSalesMapper">
  <resultMap id="BaseResultMap" type="com.bailuntec.domain.entity.DcAutoWarehouseweekSales">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="warehouse_code" jdbcType="VARCHAR" property="warehouseCode" />
    <result column="report_date" jdbcType="INTEGER" property="reportDate" />
    <result column="week_time" jdbcType="VARCHAR" property="weekTime" />
    <result column="bj_create" jdbcType="TIMESTAMP" property="bjCreate" />
    <result column="bj_modified" jdbcType="TIMESTAMP" property="bjModified" />
    <result column="one_week_rate" jdbcType="DECIMAL" property="oneWeekRate" />
    <result column="two_week_rate" jdbcType="DECIMAL" property="twoWeekRate" />
    <result column="three_week_rate" jdbcType="DECIMAL" property="threeWeekRate" />
    <result column="fourth_week_rate" jdbcType="DECIMAL" property="fourthWeekRate" />
    <result column="five_week_rate" jdbcType="DECIMAL" property="fiveWeekRate" />
    <result column="six_week_rate" jdbcType="DECIMAL" property="sixWeekRate" />
    <result column="seven_week_rate" jdbcType="DECIMAL" property="sevenWeekRate" />
    <result column="eight_week_rate" jdbcType="DECIMAL" property="eightWeekRate" />
    <result column="nine_week_rate" jdbcType="DECIMAL" property="nineWeekRate" />
    <result column="ten_week_rate" jdbcType="DECIMAL" property="tenWeekRate" />
    <result column="eleven_week_rate" jdbcType="DECIMAL" property="elevenWeekRate" />
    <result column="twelve_week_rate" jdbcType="DECIMAL" property="twelveWeekRate" />
    <result column="thridteen_week_rate" jdbcType="DECIMAL" property="thridteenWeekRate" />
    <result column="fourteen_week_rate" jdbcType="DECIMAL" property="fourteenWeekRate" />
    <result column="fifteen_week_rate" jdbcType="DECIMAL" property="fifteenWeekRate" />
    <result column="sixteen_week_rate" jdbcType="DECIMAL" property="sixteenWeekRate" />
    <result column="seventeen_week_rate" jdbcType="DECIMAL" property="seventeenWeekRate" />
    <result column="eighteen_week_rate" jdbcType="DECIMAL" property="eighteenWeekRate" />
    <result column="nineteen_week_rate" jdbcType="DECIMAL" property="nineteenWeekRate" />
    <result column="twenty_week_rate" jdbcType="DECIMAL" property="twentyWeekRate" />
    <result column="twenty_one_week_rate" jdbcType="DECIMAL" property="twentyOneWeekRate" />
    <result column="twenty_two_week_rate" jdbcType="DECIMAL" property="twentyTwoWeekRate" />
    <result column="twenty_three_week_rate" jdbcType="DECIMAL" property="twentyThreeWeekRate" />
    <result column="twenty_fourth_week_rate" jdbcType="DECIMAL" property="twentyFourthWeekRate" />
    <result column="twenty_five_week_rate" jdbcType="DECIMAL" property="twentyFiveWeekRate" />
    <result column="twenty_six_week_rate" jdbcType="DECIMAL" property="twentySixWeekRate" />
    <result column="twenty_sevene_week_rate" jdbcType="DECIMAL" property="twentySeveneWeekRate" />
    <result column="twenty_eight_week_rate" jdbcType="DECIMAL" property="twentyEightWeekRate" />
    <result column="twenty_nine_week_rate" jdbcType="DECIMAL" property="twentyNineWeekRate" />
    <result column="thirty_week_rate" jdbcType="DECIMAL" property="thirtyWeekRate" />
    <result column="thirty_one_week_rate" jdbcType="DECIMAL" property="thirtyOneWeekRate" />
    <result column="thirty_two_week_rate" jdbcType="DECIMAL" property="thirtyTwoWeekRate" />
    <result column="thirty_three_week_rate" jdbcType="DECIMAL" property="thirtyThreeWeekRate" />
    <result column="thirty_fourth_week_rate" jdbcType="DECIMAL" property="thirtyFourthWeekRate" />
    <result column="thirty_five_week_rate" jdbcType="DECIMAL" property="thirtyFiveWeekRate" />
    <result column="thirty_six_week_rate" jdbcType="DECIMAL" property="thirtySixWeekRate" />
    <result column="thirty_sevene_week_rate" jdbcType="DECIMAL" property="thirtySeveneWeekRate" />
    <result column="thirty_eight_week_rate" jdbcType="DECIMAL" property="thirtyEightWeekRate" />
    <result column="thirty_nine_week_rate" jdbcType="DECIMAL" property="thirtyNineWeekRate" />
    <result column="forty_week_rate" jdbcType="DECIMAL" property="fortyWeekRate" />
    <result column="forty_one_week_rate" jdbcType="DECIMAL" property="fortyOneWeekRate" />
    <result column="forty_two_week_rate" jdbcType="DECIMAL" property="fortyTwoWeekRate" />
    <result column="forty_three_week_rate" jdbcType="DECIMAL" property="fortyThreeWeekRate" />
    <result column="forty_fourth_week_rate" jdbcType="DECIMAL" property="fortyFourthWeekRate" />
    <result column="forty_five_week_rate" jdbcType="DECIMAL" property="fortyFiveWeekRate" />
    <result column="forty_six_week_rate" jdbcType="DECIMAL" property="fortySixWeekRate" />
    <result column="forty_sevene_week_rate" jdbcType="DECIMAL" property="fortySeveneWeekRate" />
    <result column="forty_eight_week_rate" jdbcType="DECIMAL" property="fortyEightWeekRate" />
    <result column="forty_nine_week_rate" jdbcType="DECIMAL" property="fortyNineWeekRate" />
    <result column="fifty_week_rate" jdbcType="DECIMAL" property="fiftyWeekRate" />
    <result column="fifty_one_week_rate" jdbcType="DECIMAL" property="fiftyOneWeekRate" />
    <result column="fifty_two_week_rate" jdbcType="DECIMAL" property="fiftyTwoWeekRate" />
    <result column="sale_detail" jdbcType="VARCHAR" property="saleDetail" />
    <result column="rate_detail" jdbcType="VARCHAR" property="rateDetail" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    id, warehouse_code, report_date, week_time, bj_create, bj_modified, one_week_rate, 
    two_week_rate, three_week_rate, fourth_week_rate, five_week_rate, six_week_rate, 
    seven_week_rate, eight_week_rate, nine_week_rate, ten_week_rate, eleven_week_rate, 
    twelve_week_rate, thridteen_week_rate, fourteen_week_rate, fifteen_week_rate, sixteen_week_rate, 
    seventeen_week_rate, eighteen_week_rate, nineteen_week_rate, twenty_week_rate, twenty_one_week_rate, 
    twenty_two_week_rate, twenty_three_week_rate, twenty_fourth_week_rate, twenty_five_week_rate, 
    twenty_six_week_rate, twenty_sevene_week_rate, twenty_eight_week_rate, twenty_nine_week_rate, 
    thirty_week_rate, thirty_one_week_rate, thirty_two_week_rate, thirty_three_week_rate, 
    thirty_fourth_week_rate, thirty_five_week_rate, thirty_six_week_rate, thirty_sevene_week_rate, 
    thirty_eight_week_rate, thirty_nine_week_rate, forty_week_rate, forty_one_week_rate, 
    forty_two_week_rate, forty_three_week_rate, forty_fourth_week_rate, forty_five_week_rate, 
    forty_six_week_rate, forty_sevene_week_rate, forty_eight_week_rate, forty_nine_week_rate, 
    fifty_week_rate, fifty_one_week_rate, fifty_two_week_rate, sale_detail, rate_detail
  </sql>
  <select id="selectByExample" parameterType="com.bailuntec.domain.example.DcAutoWarehouseweekSalesExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from dc_auto_warehouseweek_sales
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
    <if test="rows != null">
      <if test="offset != null">
        limit ${offset}, ${rows}
      </if>
      <if test="offset == null">
        limit ${rows}
      </if>
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from dc_auto_warehouseweek_sales
    where id = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from dc_auto_warehouseweek_sales
    where id = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.bailuntec.domain.example.DcAutoWarehouseweekSalesExample">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from dc_auto_warehouseweek_sales
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.bailuntec.domain.entity.DcAutoWarehouseweekSales">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into dc_auto_warehouseweek_sales (id, warehouse_code, report_date, 
      week_time, bj_create, bj_modified, 
      one_week_rate, two_week_rate, three_week_rate, 
      fourth_week_rate, five_week_rate, six_week_rate, 
      seven_week_rate, eight_week_rate, nine_week_rate, 
      ten_week_rate, eleven_week_rate, twelve_week_rate, 
      thridteen_week_rate, fourteen_week_rate, fifteen_week_rate, 
      sixteen_week_rate, seventeen_week_rate, eighteen_week_rate, 
      nineteen_week_rate, twenty_week_rate, twenty_one_week_rate, 
      twenty_two_week_rate, twenty_three_week_rate, 
      twenty_fourth_week_rate, twenty_five_week_rate, 
      twenty_six_week_rate, twenty_sevene_week_rate, 
      twenty_eight_week_rate, twenty_nine_week_rate, 
      thirty_week_rate, thirty_one_week_rate, thirty_two_week_rate, 
      thirty_three_week_rate, thirty_fourth_week_rate, 
      thirty_five_week_rate, thirty_six_week_rate, 
      thirty_sevene_week_rate, thirty_eight_week_rate, 
      thirty_nine_week_rate, forty_week_rate, forty_one_week_rate, 
      forty_two_week_rate, forty_three_week_rate, forty_fourth_week_rate, 
      forty_five_week_rate, forty_six_week_rate, forty_sevene_week_rate, 
      forty_eight_week_rate, forty_nine_week_rate, 
      fifty_week_rate, fifty_one_week_rate, fifty_two_week_rate, 
      sale_detail, rate_detail)
    values (#{id,jdbcType=INTEGER}, #{warehouseCode,jdbcType=VARCHAR}, #{reportDate,jdbcType=INTEGER}, 
      #{weekTime,jdbcType=VARCHAR}, #{bjCreate,jdbcType=TIMESTAMP}, #{bjModified,jdbcType=TIMESTAMP}, 
      #{oneWeekRate,jdbcType=DECIMAL}, #{twoWeekRate,jdbcType=DECIMAL}, #{threeWeekRate,jdbcType=DECIMAL}, 
      #{fourthWeekRate,jdbcType=DECIMAL}, #{fiveWeekRate,jdbcType=DECIMAL}, #{sixWeekRate,jdbcType=DECIMAL}, 
      #{sevenWeekRate,jdbcType=DECIMAL}, #{eightWeekRate,jdbcType=DECIMAL}, #{nineWeekRate,jdbcType=DECIMAL}, 
      #{tenWeekRate,jdbcType=DECIMAL}, #{elevenWeekRate,jdbcType=DECIMAL}, #{twelveWeekRate,jdbcType=DECIMAL}, 
      #{thridteenWeekRate,jdbcType=DECIMAL}, #{fourteenWeekRate,jdbcType=DECIMAL}, #{fifteenWeekRate,jdbcType=DECIMAL}, 
      #{sixteenWeekRate,jdbcType=DECIMAL}, #{seventeenWeekRate,jdbcType=DECIMAL}, #{eighteenWeekRate,jdbcType=DECIMAL}, 
      #{nineteenWeekRate,jdbcType=DECIMAL}, #{twentyWeekRate,jdbcType=DECIMAL}, #{twentyOneWeekRate,jdbcType=DECIMAL}, 
      #{twentyTwoWeekRate,jdbcType=DECIMAL}, #{twentyThreeWeekRate,jdbcType=DECIMAL}, 
      #{twentyFourthWeekRate,jdbcType=DECIMAL}, #{twentyFiveWeekRate,jdbcType=DECIMAL}, 
      #{twentySixWeekRate,jdbcType=DECIMAL}, #{twentySeveneWeekRate,jdbcType=DECIMAL}, 
      #{twentyEightWeekRate,jdbcType=DECIMAL}, #{twentyNineWeekRate,jdbcType=DECIMAL}, 
      #{thirtyWeekRate,jdbcType=DECIMAL}, #{thirtyOneWeekRate,jdbcType=DECIMAL}, #{thirtyTwoWeekRate,jdbcType=DECIMAL}, 
      #{thirtyThreeWeekRate,jdbcType=DECIMAL}, #{thirtyFourthWeekRate,jdbcType=DECIMAL}, 
      #{thirtyFiveWeekRate,jdbcType=DECIMAL}, #{thirtySixWeekRate,jdbcType=DECIMAL}, 
      #{thirtySeveneWeekRate,jdbcType=DECIMAL}, #{thirtyEightWeekRate,jdbcType=DECIMAL}, 
      #{thirtyNineWeekRate,jdbcType=DECIMAL}, #{fortyWeekRate,jdbcType=DECIMAL}, #{fortyOneWeekRate,jdbcType=DECIMAL}, 
      #{fortyTwoWeekRate,jdbcType=DECIMAL}, #{fortyThreeWeekRate,jdbcType=DECIMAL}, #{fortyFourthWeekRate,jdbcType=DECIMAL}, 
      #{fortyFiveWeekRate,jdbcType=DECIMAL}, #{fortySixWeekRate,jdbcType=DECIMAL}, #{fortySeveneWeekRate,jdbcType=DECIMAL}, 
      #{fortyEightWeekRate,jdbcType=DECIMAL}, #{fortyNineWeekRate,jdbcType=DECIMAL}, 
      #{fiftyWeekRate,jdbcType=DECIMAL}, #{fiftyOneWeekRate,jdbcType=DECIMAL}, #{fiftyTwoWeekRate,jdbcType=DECIMAL}, 
      #{saleDetail,jdbcType=VARCHAR}, #{rateDetail,jdbcType=VARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.bailuntec.domain.entity.DcAutoWarehouseweekSales">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into dc_auto_warehouseweek_sales
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="warehouseCode != null">
        warehouse_code,
      </if>
      <if test="reportDate != null">
        report_date,
      </if>
      <if test="weekTime != null">
        week_time,
      </if>
      <if test="bjCreate != null">
        bj_create,
      </if>
      <if test="bjModified != null">
        bj_modified,
      </if>
      <if test="oneWeekRate != null">
        one_week_rate,
      </if>
      <if test="twoWeekRate != null">
        two_week_rate,
      </if>
      <if test="threeWeekRate != null">
        three_week_rate,
      </if>
      <if test="fourthWeekRate != null">
        fourth_week_rate,
      </if>
      <if test="fiveWeekRate != null">
        five_week_rate,
      </if>
      <if test="sixWeekRate != null">
        six_week_rate,
      </if>
      <if test="sevenWeekRate != null">
        seven_week_rate,
      </if>
      <if test="eightWeekRate != null">
        eight_week_rate,
      </if>
      <if test="nineWeekRate != null">
        nine_week_rate,
      </if>
      <if test="tenWeekRate != null">
        ten_week_rate,
      </if>
      <if test="elevenWeekRate != null">
        eleven_week_rate,
      </if>
      <if test="twelveWeekRate != null">
        twelve_week_rate,
      </if>
      <if test="thridteenWeekRate != null">
        thridteen_week_rate,
      </if>
      <if test="fourteenWeekRate != null">
        fourteen_week_rate,
      </if>
      <if test="fifteenWeekRate != null">
        fifteen_week_rate,
      </if>
      <if test="sixteenWeekRate != null">
        sixteen_week_rate,
      </if>
      <if test="seventeenWeekRate != null">
        seventeen_week_rate,
      </if>
      <if test="eighteenWeekRate != null">
        eighteen_week_rate,
      </if>
      <if test="nineteenWeekRate != null">
        nineteen_week_rate,
      </if>
      <if test="twentyWeekRate != null">
        twenty_week_rate,
      </if>
      <if test="twentyOneWeekRate != null">
        twenty_one_week_rate,
      </if>
      <if test="twentyTwoWeekRate != null">
        twenty_two_week_rate,
      </if>
      <if test="twentyThreeWeekRate != null">
        twenty_three_week_rate,
      </if>
      <if test="twentyFourthWeekRate != null">
        twenty_fourth_week_rate,
      </if>
      <if test="twentyFiveWeekRate != null">
        twenty_five_week_rate,
      </if>
      <if test="twentySixWeekRate != null">
        twenty_six_week_rate,
      </if>
      <if test="twentySeveneWeekRate != null">
        twenty_sevene_week_rate,
      </if>
      <if test="twentyEightWeekRate != null">
        twenty_eight_week_rate,
      </if>
      <if test="twentyNineWeekRate != null">
        twenty_nine_week_rate,
      </if>
      <if test="thirtyWeekRate != null">
        thirty_week_rate,
      </if>
      <if test="thirtyOneWeekRate != null">
        thirty_one_week_rate,
      </if>
      <if test="thirtyTwoWeekRate != null">
        thirty_two_week_rate,
      </if>
      <if test="thirtyThreeWeekRate != null">
        thirty_three_week_rate,
      </if>
      <if test="thirtyFourthWeekRate != null">
        thirty_fourth_week_rate,
      </if>
      <if test="thirtyFiveWeekRate != null">
        thirty_five_week_rate,
      </if>
      <if test="thirtySixWeekRate != null">
        thirty_six_week_rate,
      </if>
      <if test="thirtySeveneWeekRate != null">
        thirty_sevene_week_rate,
      </if>
      <if test="thirtyEightWeekRate != null">
        thirty_eight_week_rate,
      </if>
      <if test="thirtyNineWeekRate != null">
        thirty_nine_week_rate,
      </if>
      <if test="fortyWeekRate != null">
        forty_week_rate,
      </if>
      <if test="fortyOneWeekRate != null">
        forty_one_week_rate,
      </if>
      <if test="fortyTwoWeekRate != null">
        forty_two_week_rate,
      </if>
      <if test="fortyThreeWeekRate != null">
        forty_three_week_rate,
      </if>
      <if test="fortyFourthWeekRate != null">
        forty_fourth_week_rate,
      </if>
      <if test="fortyFiveWeekRate != null">
        forty_five_week_rate,
      </if>
      <if test="fortySixWeekRate != null">
        forty_six_week_rate,
      </if>
      <if test="fortySeveneWeekRate != null">
        forty_sevene_week_rate,
      </if>
      <if test="fortyEightWeekRate != null">
        forty_eight_week_rate,
      </if>
      <if test="fortyNineWeekRate != null">
        forty_nine_week_rate,
      </if>
      <if test="fiftyWeekRate != null">
        fifty_week_rate,
      </if>
      <if test="fiftyOneWeekRate != null">
        fifty_one_week_rate,
      </if>
      <if test="fiftyTwoWeekRate != null">
        fifty_two_week_rate,
      </if>
      <if test="saleDetail != null">
        sale_detail,
      </if>
      <if test="rateDetail != null">
        rate_detail,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="warehouseCode != null">
        #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="reportDate != null">
        #{reportDate,jdbcType=INTEGER},
      </if>
      <if test="weekTime != null">
        #{weekTime,jdbcType=VARCHAR},
      </if>
      <if test="bjCreate != null">
        #{bjCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="bjModified != null">
        #{bjModified,jdbcType=TIMESTAMP},
      </if>
      <if test="oneWeekRate != null">
        #{oneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twoWeekRate != null">
        #{twoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="threeWeekRate != null">
        #{threeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fourthWeekRate != null">
        #{fourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiveWeekRate != null">
        #{fiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="sixWeekRate != null">
        #{sixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="sevenWeekRate != null">
        #{sevenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="eightWeekRate != null">
        #{eightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="nineWeekRate != null">
        #{nineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="tenWeekRate != null">
        #{tenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="elevenWeekRate != null">
        #{elevenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twelveWeekRate != null">
        #{twelveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thridteenWeekRate != null">
        #{thridteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fourteenWeekRate != null">
        #{fourteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fifteenWeekRate != null">
        #{fifteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="sixteenWeekRate != null">
        #{sixteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="seventeenWeekRate != null">
        #{seventeenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="eighteenWeekRate != null">
        #{eighteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="nineteenWeekRate != null">
        #{nineteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyWeekRate != null">
        #{twentyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyOneWeekRate != null">
        #{twentyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyTwoWeekRate != null">
        #{twentyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyThreeWeekRate != null">
        #{twentyThreeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyFourthWeekRate != null">
        #{twentyFourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyFiveWeekRate != null">
        #{twentyFiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentySixWeekRate != null">
        #{twentySixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentySeveneWeekRate != null">
        #{twentySeveneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyEightWeekRate != null">
        #{twentyEightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyNineWeekRate != null">
        #{twentyNineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyWeekRate != null">
        #{thirtyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyOneWeekRate != null">
        #{thirtyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyTwoWeekRate != null">
        #{thirtyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyThreeWeekRate != null">
        #{thirtyThreeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyFourthWeekRate != null">
        #{thirtyFourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyFiveWeekRate != null">
        #{thirtyFiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtySixWeekRate != null">
        #{thirtySixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtySeveneWeekRate != null">
        #{thirtySeveneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyEightWeekRate != null">
        #{thirtyEightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyNineWeekRate != null">
        #{thirtyNineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyWeekRate != null">
        #{fortyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyOneWeekRate != null">
        #{fortyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyTwoWeekRate != null">
        #{fortyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyThreeWeekRate != null">
        #{fortyThreeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyFourthWeekRate != null">
        #{fortyFourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyFiveWeekRate != null">
        #{fortyFiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortySixWeekRate != null">
        #{fortySixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortySeveneWeekRate != null">
        #{fortySeveneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyEightWeekRate != null">
        #{fortyEightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyNineWeekRate != null">
        #{fortyNineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiftyWeekRate != null">
        #{fiftyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiftyOneWeekRate != null">
        #{fiftyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiftyTwoWeekRate != null">
        #{fiftyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="saleDetail != null">
        #{saleDetail,jdbcType=VARCHAR},
      </if>
      <if test="rateDetail != null">
        #{rateDetail,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.bailuntec.domain.example.DcAutoWarehouseweekSalesExample" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from dc_auto_warehouseweek_sales
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_warehouseweek_sales
    <set>
      <if test="record.id != null">
        id = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.warehouseCode != null">
        warehouse_code = #{record.warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="record.reportDate != null">
        report_date = #{record.reportDate,jdbcType=INTEGER},
      </if>
      <if test="record.weekTime != null">
        week_time = #{record.weekTime,jdbcType=VARCHAR},
      </if>
      <if test="record.bjCreate != null">
        bj_create = #{record.bjCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="record.bjModified != null">
        bj_modified = #{record.bjModified,jdbcType=TIMESTAMP},
      </if>
      <if test="record.oneWeekRate != null">
        one_week_rate = #{record.oneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.twoWeekRate != null">
        two_week_rate = #{record.twoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.threeWeekRate != null">
        three_week_rate = #{record.threeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fourthWeekRate != null">
        fourth_week_rate = #{record.fourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fiveWeekRate != null">
        five_week_rate = #{record.fiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.sixWeekRate != null">
        six_week_rate = #{record.sixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.sevenWeekRate != null">
        seven_week_rate = #{record.sevenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.eightWeekRate != null">
        eight_week_rate = #{record.eightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.nineWeekRate != null">
        nine_week_rate = #{record.nineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.tenWeekRate != null">
        ten_week_rate = #{record.tenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.elevenWeekRate != null">
        eleven_week_rate = #{record.elevenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.twelveWeekRate != null">
        twelve_week_rate = #{record.twelveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.thridteenWeekRate != null">
        thridteen_week_rate = #{record.thridteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fourteenWeekRate != null">
        fourteen_week_rate = #{record.fourteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fifteenWeekRate != null">
        fifteen_week_rate = #{record.fifteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.sixteenWeekRate != null">
        sixteen_week_rate = #{record.sixteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.seventeenWeekRate != null">
        seventeen_week_rate = #{record.seventeenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.eighteenWeekRate != null">
        eighteen_week_rate = #{record.eighteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.nineteenWeekRate != null">
        nineteen_week_rate = #{record.nineteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.twentyWeekRate != null">
        twenty_week_rate = #{record.twentyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.twentyOneWeekRate != null">
        twenty_one_week_rate = #{record.twentyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.twentyTwoWeekRate != null">
        twenty_two_week_rate = #{record.twentyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.twentyThreeWeekRate != null">
        twenty_three_week_rate = #{record.twentyThreeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.twentyFourthWeekRate != null">
        twenty_fourth_week_rate = #{record.twentyFourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.twentyFiveWeekRate != null">
        twenty_five_week_rate = #{record.twentyFiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.twentySixWeekRate != null">
        twenty_six_week_rate = #{record.twentySixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.twentySeveneWeekRate != null">
        twenty_sevene_week_rate = #{record.twentySeveneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.twentyEightWeekRate != null">
        twenty_eight_week_rate = #{record.twentyEightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.twentyNineWeekRate != null">
        twenty_nine_week_rate = #{record.twentyNineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.thirtyWeekRate != null">
        thirty_week_rate = #{record.thirtyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.thirtyOneWeekRate != null">
        thirty_one_week_rate = #{record.thirtyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.thirtyTwoWeekRate != null">
        thirty_two_week_rate = #{record.thirtyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.thirtyThreeWeekRate != null">
        thirty_three_week_rate = #{record.thirtyThreeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.thirtyFourthWeekRate != null">
        thirty_fourth_week_rate = #{record.thirtyFourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.thirtyFiveWeekRate != null">
        thirty_five_week_rate = #{record.thirtyFiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.thirtySixWeekRate != null">
        thirty_six_week_rate = #{record.thirtySixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.thirtySeveneWeekRate != null">
        thirty_sevene_week_rate = #{record.thirtySeveneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.thirtyEightWeekRate != null">
        thirty_eight_week_rate = #{record.thirtyEightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.thirtyNineWeekRate != null">
        thirty_nine_week_rate = #{record.thirtyNineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fortyWeekRate != null">
        forty_week_rate = #{record.fortyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fortyOneWeekRate != null">
        forty_one_week_rate = #{record.fortyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fortyTwoWeekRate != null">
        forty_two_week_rate = #{record.fortyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fortyThreeWeekRate != null">
        forty_three_week_rate = #{record.fortyThreeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fortyFourthWeekRate != null">
        forty_fourth_week_rate = #{record.fortyFourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fortyFiveWeekRate != null">
        forty_five_week_rate = #{record.fortyFiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fortySixWeekRate != null">
        forty_six_week_rate = #{record.fortySixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fortySeveneWeekRate != null">
        forty_sevene_week_rate = #{record.fortySeveneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fortyEightWeekRate != null">
        forty_eight_week_rate = #{record.fortyEightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fortyNineWeekRate != null">
        forty_nine_week_rate = #{record.fortyNineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fiftyWeekRate != null">
        fifty_week_rate = #{record.fiftyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fiftyOneWeekRate != null">
        fifty_one_week_rate = #{record.fiftyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.fiftyTwoWeekRate != null">
        fifty_two_week_rate = #{record.fiftyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="record.saleDetail != null">
        sale_detail = #{record.saleDetail,jdbcType=VARCHAR},
      </if>
      <if test="record.rateDetail != null">
        rate_detail = #{record.rateDetail,jdbcType=VARCHAR},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_warehouseweek_sales
    set id = #{record.id,jdbcType=INTEGER},
      warehouse_code = #{record.warehouseCode,jdbcType=VARCHAR},
      report_date = #{record.reportDate,jdbcType=INTEGER},
      week_time = #{record.weekTime,jdbcType=VARCHAR},
      bj_create = #{record.bjCreate,jdbcType=TIMESTAMP},
      bj_modified = #{record.bjModified,jdbcType=TIMESTAMP},
      one_week_rate = #{record.oneWeekRate,jdbcType=DECIMAL},
      two_week_rate = #{record.twoWeekRate,jdbcType=DECIMAL},
      three_week_rate = #{record.threeWeekRate,jdbcType=DECIMAL},
      fourth_week_rate = #{record.fourthWeekRate,jdbcType=DECIMAL},
      five_week_rate = #{record.fiveWeekRate,jdbcType=DECIMAL},
      six_week_rate = #{record.sixWeekRate,jdbcType=DECIMAL},
      seven_week_rate = #{record.sevenWeekRate,jdbcType=DECIMAL},
      eight_week_rate = #{record.eightWeekRate,jdbcType=DECIMAL},
      nine_week_rate = #{record.nineWeekRate,jdbcType=DECIMAL},
      ten_week_rate = #{record.tenWeekRate,jdbcType=DECIMAL},
      eleven_week_rate = #{record.elevenWeekRate,jdbcType=DECIMAL},
      twelve_week_rate = #{record.twelveWeekRate,jdbcType=DECIMAL},
      thridteen_week_rate = #{record.thridteenWeekRate,jdbcType=DECIMAL},
      fourteen_week_rate = #{record.fourteenWeekRate,jdbcType=DECIMAL},
      fifteen_week_rate = #{record.fifteenWeekRate,jdbcType=DECIMAL},
      sixteen_week_rate = #{record.sixteenWeekRate,jdbcType=DECIMAL},
      seventeen_week_rate = #{record.seventeenWeekRate,jdbcType=DECIMAL},
      eighteen_week_rate = #{record.eighteenWeekRate,jdbcType=DECIMAL},
      nineteen_week_rate = #{record.nineteenWeekRate,jdbcType=DECIMAL},
      twenty_week_rate = #{record.twentyWeekRate,jdbcType=DECIMAL},
      twenty_one_week_rate = #{record.twentyOneWeekRate,jdbcType=DECIMAL},
      twenty_two_week_rate = #{record.twentyTwoWeekRate,jdbcType=DECIMAL},
      twenty_three_week_rate = #{record.twentyThreeWeekRate,jdbcType=DECIMAL},
      twenty_fourth_week_rate = #{record.twentyFourthWeekRate,jdbcType=DECIMAL},
      twenty_five_week_rate = #{record.twentyFiveWeekRate,jdbcType=DECIMAL},
      twenty_six_week_rate = #{record.twentySixWeekRate,jdbcType=DECIMAL},
      twenty_sevene_week_rate = #{record.twentySeveneWeekRate,jdbcType=DECIMAL},
      twenty_eight_week_rate = #{record.twentyEightWeekRate,jdbcType=DECIMAL},
      twenty_nine_week_rate = #{record.twentyNineWeekRate,jdbcType=DECIMAL},
      thirty_week_rate = #{record.thirtyWeekRate,jdbcType=DECIMAL},
      thirty_one_week_rate = #{record.thirtyOneWeekRate,jdbcType=DECIMAL},
      thirty_two_week_rate = #{record.thirtyTwoWeekRate,jdbcType=DECIMAL},
      thirty_three_week_rate = #{record.thirtyThreeWeekRate,jdbcType=DECIMAL},
      thirty_fourth_week_rate = #{record.thirtyFourthWeekRate,jdbcType=DECIMAL},
      thirty_five_week_rate = #{record.thirtyFiveWeekRate,jdbcType=DECIMAL},
      thirty_six_week_rate = #{record.thirtySixWeekRate,jdbcType=DECIMAL},
      thirty_sevene_week_rate = #{record.thirtySeveneWeekRate,jdbcType=DECIMAL},
      thirty_eight_week_rate = #{record.thirtyEightWeekRate,jdbcType=DECIMAL},
      thirty_nine_week_rate = #{record.thirtyNineWeekRate,jdbcType=DECIMAL},
      forty_week_rate = #{record.fortyWeekRate,jdbcType=DECIMAL},
      forty_one_week_rate = #{record.fortyOneWeekRate,jdbcType=DECIMAL},
      forty_two_week_rate = #{record.fortyTwoWeekRate,jdbcType=DECIMAL},
      forty_three_week_rate = #{record.fortyThreeWeekRate,jdbcType=DECIMAL},
      forty_fourth_week_rate = #{record.fortyFourthWeekRate,jdbcType=DECIMAL},
      forty_five_week_rate = #{record.fortyFiveWeekRate,jdbcType=DECIMAL},
      forty_six_week_rate = #{record.fortySixWeekRate,jdbcType=DECIMAL},
      forty_sevene_week_rate = #{record.fortySeveneWeekRate,jdbcType=DECIMAL},
      forty_eight_week_rate = #{record.fortyEightWeekRate,jdbcType=DECIMAL},
      forty_nine_week_rate = #{record.fortyNineWeekRate,jdbcType=DECIMAL},
      fifty_week_rate = #{record.fiftyWeekRate,jdbcType=DECIMAL},
      fifty_one_week_rate = #{record.fiftyOneWeekRate,jdbcType=DECIMAL},
      fifty_two_week_rate = #{record.fiftyTwoWeekRate,jdbcType=DECIMAL},
      sale_detail = #{record.saleDetail,jdbcType=VARCHAR},
      rate_detail = #{record.rateDetail,jdbcType=VARCHAR}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.bailuntec.domain.entity.DcAutoWarehouseweekSales">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_warehouseweek_sales
    <set>
      <if test="warehouseCode != null">
        warehouse_code = #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="reportDate != null">
        report_date = #{reportDate,jdbcType=INTEGER},
      </if>
      <if test="weekTime != null">
        week_time = #{weekTime,jdbcType=VARCHAR},
      </if>
      <if test="bjCreate != null">
        bj_create = #{bjCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="bjModified != null">
        bj_modified = #{bjModified,jdbcType=TIMESTAMP},
      </if>
      <if test="oneWeekRate != null">
        one_week_rate = #{oneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twoWeekRate != null">
        two_week_rate = #{twoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="threeWeekRate != null">
        three_week_rate = #{threeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fourthWeekRate != null">
        fourth_week_rate = #{fourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiveWeekRate != null">
        five_week_rate = #{fiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="sixWeekRate != null">
        six_week_rate = #{sixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="sevenWeekRate != null">
        seven_week_rate = #{sevenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="eightWeekRate != null">
        eight_week_rate = #{eightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="nineWeekRate != null">
        nine_week_rate = #{nineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="tenWeekRate != null">
        ten_week_rate = #{tenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="elevenWeekRate != null">
        eleven_week_rate = #{elevenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twelveWeekRate != null">
        twelve_week_rate = #{twelveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thridteenWeekRate != null">
        thridteen_week_rate = #{thridteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fourteenWeekRate != null">
        fourteen_week_rate = #{fourteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fifteenWeekRate != null">
        fifteen_week_rate = #{fifteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="sixteenWeekRate != null">
        sixteen_week_rate = #{sixteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="seventeenWeekRate != null">
        seventeen_week_rate = #{seventeenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="eighteenWeekRate != null">
        eighteen_week_rate = #{eighteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="nineteenWeekRate != null">
        nineteen_week_rate = #{nineteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyWeekRate != null">
        twenty_week_rate = #{twentyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyOneWeekRate != null">
        twenty_one_week_rate = #{twentyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyTwoWeekRate != null">
        twenty_two_week_rate = #{twentyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyThreeWeekRate != null">
        twenty_three_week_rate = #{twentyThreeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyFourthWeekRate != null">
        twenty_fourth_week_rate = #{twentyFourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyFiveWeekRate != null">
        twenty_five_week_rate = #{twentyFiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentySixWeekRate != null">
        twenty_six_week_rate = #{twentySixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentySeveneWeekRate != null">
        twenty_sevene_week_rate = #{twentySeveneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyEightWeekRate != null">
        twenty_eight_week_rate = #{twentyEightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyNineWeekRate != null">
        twenty_nine_week_rate = #{twentyNineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyWeekRate != null">
        thirty_week_rate = #{thirtyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyOneWeekRate != null">
        thirty_one_week_rate = #{thirtyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyTwoWeekRate != null">
        thirty_two_week_rate = #{thirtyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyThreeWeekRate != null">
        thirty_three_week_rate = #{thirtyThreeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyFourthWeekRate != null">
        thirty_fourth_week_rate = #{thirtyFourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyFiveWeekRate != null">
        thirty_five_week_rate = #{thirtyFiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtySixWeekRate != null">
        thirty_six_week_rate = #{thirtySixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtySeveneWeekRate != null">
        thirty_sevene_week_rate = #{thirtySeveneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyEightWeekRate != null">
        thirty_eight_week_rate = #{thirtyEightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyNineWeekRate != null">
        thirty_nine_week_rate = #{thirtyNineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyWeekRate != null">
        forty_week_rate = #{fortyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyOneWeekRate != null">
        forty_one_week_rate = #{fortyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyTwoWeekRate != null">
        forty_two_week_rate = #{fortyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyThreeWeekRate != null">
        forty_three_week_rate = #{fortyThreeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyFourthWeekRate != null">
        forty_fourth_week_rate = #{fortyFourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyFiveWeekRate != null">
        forty_five_week_rate = #{fortyFiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortySixWeekRate != null">
        forty_six_week_rate = #{fortySixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortySeveneWeekRate != null">
        forty_sevene_week_rate = #{fortySeveneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyEightWeekRate != null">
        forty_eight_week_rate = #{fortyEightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyNineWeekRate != null">
        forty_nine_week_rate = #{fortyNineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiftyWeekRate != null">
        fifty_week_rate = #{fiftyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiftyOneWeekRate != null">
        fifty_one_week_rate = #{fiftyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiftyTwoWeekRate != null">
        fifty_two_week_rate = #{fiftyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="saleDetail != null">
        sale_detail = #{saleDetail,jdbcType=VARCHAR},
      </if>
      <if test="rateDetail != null">
        rate_detail = #{rateDetail,jdbcType=VARCHAR},
      </if>
    </set>
    where id = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bailuntec.domain.entity.DcAutoWarehouseweekSales">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_warehouseweek_sales
    set warehouse_code = #{warehouseCode,jdbcType=VARCHAR},
      report_date = #{reportDate,jdbcType=INTEGER},
      week_time = #{weekTime,jdbcType=VARCHAR},
      bj_create = #{bjCreate,jdbcType=TIMESTAMP},
      bj_modified = #{bjModified,jdbcType=TIMESTAMP},
      one_week_rate = #{oneWeekRate,jdbcType=DECIMAL},
      two_week_rate = #{twoWeekRate,jdbcType=DECIMAL},
      three_week_rate = #{threeWeekRate,jdbcType=DECIMAL},
      fourth_week_rate = #{fourthWeekRate,jdbcType=DECIMAL},
      five_week_rate = #{fiveWeekRate,jdbcType=DECIMAL},
      six_week_rate = #{sixWeekRate,jdbcType=DECIMAL},
      seven_week_rate = #{sevenWeekRate,jdbcType=DECIMAL},
      eight_week_rate = #{eightWeekRate,jdbcType=DECIMAL},
      nine_week_rate = #{nineWeekRate,jdbcType=DECIMAL},
      ten_week_rate = #{tenWeekRate,jdbcType=DECIMAL},
      eleven_week_rate = #{elevenWeekRate,jdbcType=DECIMAL},
      twelve_week_rate = #{twelveWeekRate,jdbcType=DECIMAL},
      thridteen_week_rate = #{thridteenWeekRate,jdbcType=DECIMAL},
      fourteen_week_rate = #{fourteenWeekRate,jdbcType=DECIMAL},
      fifteen_week_rate = #{fifteenWeekRate,jdbcType=DECIMAL},
      sixteen_week_rate = #{sixteenWeekRate,jdbcType=DECIMAL},
      seventeen_week_rate = #{seventeenWeekRate,jdbcType=DECIMAL},
      eighteen_week_rate = #{eighteenWeekRate,jdbcType=DECIMAL},
      nineteen_week_rate = #{nineteenWeekRate,jdbcType=DECIMAL},
      twenty_week_rate = #{twentyWeekRate,jdbcType=DECIMAL},
      twenty_one_week_rate = #{twentyOneWeekRate,jdbcType=DECIMAL},
      twenty_two_week_rate = #{twentyTwoWeekRate,jdbcType=DECIMAL},
      twenty_three_week_rate = #{twentyThreeWeekRate,jdbcType=DECIMAL},
      twenty_fourth_week_rate = #{twentyFourthWeekRate,jdbcType=DECIMAL},
      twenty_five_week_rate = #{twentyFiveWeekRate,jdbcType=DECIMAL},
      twenty_six_week_rate = #{twentySixWeekRate,jdbcType=DECIMAL},
      twenty_sevene_week_rate = #{twentySeveneWeekRate,jdbcType=DECIMAL},
      twenty_eight_week_rate = #{twentyEightWeekRate,jdbcType=DECIMAL},
      twenty_nine_week_rate = #{twentyNineWeekRate,jdbcType=DECIMAL},
      thirty_week_rate = #{thirtyWeekRate,jdbcType=DECIMAL},
      thirty_one_week_rate = #{thirtyOneWeekRate,jdbcType=DECIMAL},
      thirty_two_week_rate = #{thirtyTwoWeekRate,jdbcType=DECIMAL},
      thirty_three_week_rate = #{thirtyThreeWeekRate,jdbcType=DECIMAL},
      thirty_fourth_week_rate = #{thirtyFourthWeekRate,jdbcType=DECIMAL},
      thirty_five_week_rate = #{thirtyFiveWeekRate,jdbcType=DECIMAL},
      thirty_six_week_rate = #{thirtySixWeekRate,jdbcType=DECIMAL},
      thirty_sevene_week_rate = #{thirtySeveneWeekRate,jdbcType=DECIMAL},
      thirty_eight_week_rate = #{thirtyEightWeekRate,jdbcType=DECIMAL},
      thirty_nine_week_rate = #{thirtyNineWeekRate,jdbcType=DECIMAL},
      forty_week_rate = #{fortyWeekRate,jdbcType=DECIMAL},
      forty_one_week_rate = #{fortyOneWeekRate,jdbcType=DECIMAL},
      forty_two_week_rate = #{fortyTwoWeekRate,jdbcType=DECIMAL},
      forty_three_week_rate = #{fortyThreeWeekRate,jdbcType=DECIMAL},
      forty_fourth_week_rate = #{fortyFourthWeekRate,jdbcType=DECIMAL},
      forty_five_week_rate = #{fortyFiveWeekRate,jdbcType=DECIMAL},
      forty_six_week_rate = #{fortySixWeekRate,jdbcType=DECIMAL},
      forty_sevene_week_rate = #{fortySeveneWeekRate,jdbcType=DECIMAL},
      forty_eight_week_rate = #{fortyEightWeekRate,jdbcType=DECIMAL},
      forty_nine_week_rate = #{fortyNineWeekRate,jdbcType=DECIMAL},
      fifty_week_rate = #{fiftyWeekRate,jdbcType=DECIMAL},
      fifty_one_week_rate = #{fiftyOneWeekRate,jdbcType=DECIMAL},
      fifty_two_week_rate = #{fiftyTwoWeekRate,jdbcType=DECIMAL},
      sale_detail = #{saleDetail,jdbcType=VARCHAR},
      rate_detail = #{rateDetail,jdbcType=VARCHAR}
    where id = #{id,jdbcType=INTEGER}
  </update>
  <insert id="upsertSelective" parameterType="com.bailuntec.domain.entity.DcAutoWarehouseweekSales">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      @project https://github.com/itfsw/mybatis-generator-plugin
    -->
    insert into dc_auto_warehouseweek_sales
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="warehouseCode != null">
        warehouse_code,
      </if>
      <if test="reportDate != null">
        report_date,
      </if>
      <if test="weekTime != null">
        week_time,
      </if>
      <if test="bjCreate != null">
        bj_create,
      </if>
      <if test="bjModified != null">
        bj_modified,
      </if>
      <if test="oneWeekRate != null">
        one_week_rate,
      </if>
      <if test="twoWeekRate != null">
        two_week_rate,
      </if>
      <if test="threeWeekRate != null">
        three_week_rate,
      </if>
      <if test="fourthWeekRate != null">
        fourth_week_rate,
      </if>
      <if test="fiveWeekRate != null">
        five_week_rate,
      </if>
      <if test="sixWeekRate != null">
        six_week_rate,
      </if>
      <if test="sevenWeekRate != null">
        seven_week_rate,
      </if>
      <if test="eightWeekRate != null">
        eight_week_rate,
      </if>
      <if test="nineWeekRate != null">
        nine_week_rate,
      </if>
      <if test="tenWeekRate != null">
        ten_week_rate,
      </if>
      <if test="elevenWeekRate != null">
        eleven_week_rate,
      </if>
      <if test="twelveWeekRate != null">
        twelve_week_rate,
      </if>
      <if test="thridteenWeekRate != null">
        thridteen_week_rate,
      </if>
      <if test="fourteenWeekRate != null">
        fourteen_week_rate,
      </if>
      <if test="fifteenWeekRate != null">
        fifteen_week_rate,
      </if>
      <if test="sixteenWeekRate != null">
        sixteen_week_rate,
      </if>
      <if test="seventeenWeekRate != null">
        seventeen_week_rate,
      </if>
      <if test="eighteenWeekRate != null">
        eighteen_week_rate,
      </if>
      <if test="nineteenWeekRate != null">
        nineteen_week_rate,
      </if>
      <if test="twentyWeekRate != null">
        twenty_week_rate,
      </if>
      <if test="twentyOneWeekRate != null">
        twenty_one_week_rate,
      </if>
      <if test="twentyTwoWeekRate != null">
        twenty_two_week_rate,
      </if>
      <if test="twentyThreeWeekRate != null">
        twenty_three_week_rate,
      </if>
      <if test="twentyFourthWeekRate != null">
        twenty_fourth_week_rate,
      </if>
      <if test="twentyFiveWeekRate != null">
        twenty_five_week_rate,
      </if>
      <if test="twentySixWeekRate != null">
        twenty_six_week_rate,
      </if>
      <if test="twentySeveneWeekRate != null">
        twenty_sevene_week_rate,
      </if>
      <if test="twentyEightWeekRate != null">
        twenty_eight_week_rate,
      </if>
      <if test="twentyNineWeekRate != null">
        twenty_nine_week_rate,
      </if>
      <if test="thirtyWeekRate != null">
        thirty_week_rate,
      </if>
      <if test="thirtyOneWeekRate != null">
        thirty_one_week_rate,
      </if>
      <if test="thirtyTwoWeekRate != null">
        thirty_two_week_rate,
      </if>
      <if test="thirtyThreeWeekRate != null">
        thirty_three_week_rate,
      </if>
      <if test="thirtyFourthWeekRate != null">
        thirty_fourth_week_rate,
      </if>
      <if test="thirtyFiveWeekRate != null">
        thirty_five_week_rate,
      </if>
      <if test="thirtySixWeekRate != null">
        thirty_six_week_rate,
      </if>
      <if test="thirtySeveneWeekRate != null">
        thirty_sevene_week_rate,
      </if>
      <if test="thirtyEightWeekRate != null">
        thirty_eight_week_rate,
      </if>
      <if test="thirtyNineWeekRate != null">
        thirty_nine_week_rate,
      </if>
      <if test="fortyWeekRate != null">
        forty_week_rate,
      </if>
      <if test="fortyOneWeekRate != null">
        forty_one_week_rate,
      </if>
      <if test="fortyTwoWeekRate != null">
        forty_two_week_rate,
      </if>
      <if test="fortyThreeWeekRate != null">
        forty_three_week_rate,
      </if>
      <if test="fortyFourthWeekRate != null">
        forty_fourth_week_rate,
      </if>
      <if test="fortyFiveWeekRate != null">
        forty_five_week_rate,
      </if>
      <if test="fortySixWeekRate != null">
        forty_six_week_rate,
      </if>
      <if test="fortySeveneWeekRate != null">
        forty_sevene_week_rate,
      </if>
      <if test="fortyEightWeekRate != null">
        forty_eight_week_rate,
      </if>
      <if test="fortyNineWeekRate != null">
        forty_nine_week_rate,
      </if>
      <if test="fiftyWeekRate != null">
        fifty_week_rate,
      </if>
      <if test="fiftyOneWeekRate != null">
        fifty_one_week_rate,
      </if>
      <if test="fiftyTwoWeekRate != null">
        fifty_two_week_rate,
      </if>
      <if test="saleDetail != null">
        sale_detail,
      </if>
      <if test="rateDetail != null">
        rate_detail,
      </if>
    </trim>
    values
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="warehouseCode != null">
        #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="reportDate != null">
        #{reportDate,jdbcType=INTEGER},
      </if>
      <if test="weekTime != null">
        #{weekTime,jdbcType=VARCHAR},
      </if>
      <if test="bjCreate != null">
        #{bjCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="bjModified != null">
        #{bjModified,jdbcType=TIMESTAMP},
      </if>
      <if test="oneWeekRate != null">
        #{oneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twoWeekRate != null">
        #{twoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="threeWeekRate != null">
        #{threeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fourthWeekRate != null">
        #{fourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiveWeekRate != null">
        #{fiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="sixWeekRate != null">
        #{sixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="sevenWeekRate != null">
        #{sevenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="eightWeekRate != null">
        #{eightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="nineWeekRate != null">
        #{nineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="tenWeekRate != null">
        #{tenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="elevenWeekRate != null">
        #{elevenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twelveWeekRate != null">
        #{twelveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thridteenWeekRate != null">
        #{thridteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fourteenWeekRate != null">
        #{fourteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fifteenWeekRate != null">
        #{fifteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="sixteenWeekRate != null">
        #{sixteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="seventeenWeekRate != null">
        #{seventeenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="eighteenWeekRate != null">
        #{eighteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="nineteenWeekRate != null">
        #{nineteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyWeekRate != null">
        #{twentyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyOneWeekRate != null">
        #{twentyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyTwoWeekRate != null">
        #{twentyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyThreeWeekRate != null">
        #{twentyThreeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyFourthWeekRate != null">
        #{twentyFourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyFiveWeekRate != null">
        #{twentyFiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentySixWeekRate != null">
        #{twentySixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentySeveneWeekRate != null">
        #{twentySeveneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyEightWeekRate != null">
        #{twentyEightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyNineWeekRate != null">
        #{twentyNineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyWeekRate != null">
        #{thirtyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyOneWeekRate != null">
        #{thirtyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyTwoWeekRate != null">
        #{thirtyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyThreeWeekRate != null">
        #{thirtyThreeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyFourthWeekRate != null">
        #{thirtyFourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyFiveWeekRate != null">
        #{thirtyFiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtySixWeekRate != null">
        #{thirtySixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtySeveneWeekRate != null">
        #{thirtySeveneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyEightWeekRate != null">
        #{thirtyEightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyNineWeekRate != null">
        #{thirtyNineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyWeekRate != null">
        #{fortyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyOneWeekRate != null">
        #{fortyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyTwoWeekRate != null">
        #{fortyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyThreeWeekRate != null">
        #{fortyThreeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyFourthWeekRate != null">
        #{fortyFourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyFiveWeekRate != null">
        #{fortyFiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortySixWeekRate != null">
        #{fortySixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortySeveneWeekRate != null">
        #{fortySeveneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyEightWeekRate != null">
        #{fortyEightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyNineWeekRate != null">
        #{fortyNineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiftyWeekRate != null">
        #{fiftyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiftyOneWeekRate != null">
        #{fiftyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiftyTwoWeekRate != null">
        #{fiftyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="saleDetail != null">
        #{saleDetail,jdbcType=VARCHAR},
      </if>
      <if test="rateDetail != null">
        #{rateDetail,jdbcType=VARCHAR},
      </if>
    </trim>
    on duplicate key update 
    <trim suffixOverrides=",">
      <if test="id != null">
        id = #{id,jdbcType=INTEGER},
      </if>
      <if test="warehouseCode != null">
        warehouse_code = #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="reportDate != null">
        report_date = #{reportDate,jdbcType=INTEGER},
      </if>
      <if test="weekTime != null">
        week_time = #{weekTime,jdbcType=VARCHAR},
      </if>
      <if test="bjCreate != null">
        bj_create = #{bjCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="bjModified != null">
        bj_modified = #{bjModified,jdbcType=TIMESTAMP},
      </if>
      <if test="oneWeekRate != null">
        one_week_rate = #{oneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twoWeekRate != null">
        two_week_rate = #{twoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="threeWeekRate != null">
        three_week_rate = #{threeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fourthWeekRate != null">
        fourth_week_rate = #{fourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiveWeekRate != null">
        five_week_rate = #{fiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="sixWeekRate != null">
        six_week_rate = #{sixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="sevenWeekRate != null">
        seven_week_rate = #{sevenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="eightWeekRate != null">
        eight_week_rate = #{eightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="nineWeekRate != null">
        nine_week_rate = #{nineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="tenWeekRate != null">
        ten_week_rate = #{tenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="elevenWeekRate != null">
        eleven_week_rate = #{elevenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twelveWeekRate != null">
        twelve_week_rate = #{twelveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thridteenWeekRate != null">
        thridteen_week_rate = #{thridteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fourteenWeekRate != null">
        fourteen_week_rate = #{fourteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fifteenWeekRate != null">
        fifteen_week_rate = #{fifteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="sixteenWeekRate != null">
        sixteen_week_rate = #{sixteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="seventeenWeekRate != null">
        seventeen_week_rate = #{seventeenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="eighteenWeekRate != null">
        eighteen_week_rate = #{eighteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="nineteenWeekRate != null">
        nineteen_week_rate = #{nineteenWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyWeekRate != null">
        twenty_week_rate = #{twentyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyOneWeekRate != null">
        twenty_one_week_rate = #{twentyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyTwoWeekRate != null">
        twenty_two_week_rate = #{twentyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyThreeWeekRate != null">
        twenty_three_week_rate = #{twentyThreeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyFourthWeekRate != null">
        twenty_fourth_week_rate = #{twentyFourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyFiveWeekRate != null">
        twenty_five_week_rate = #{twentyFiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentySixWeekRate != null">
        twenty_six_week_rate = #{twentySixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentySeveneWeekRate != null">
        twenty_sevene_week_rate = #{twentySeveneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyEightWeekRate != null">
        twenty_eight_week_rate = #{twentyEightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="twentyNineWeekRate != null">
        twenty_nine_week_rate = #{twentyNineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyWeekRate != null">
        thirty_week_rate = #{thirtyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyOneWeekRate != null">
        thirty_one_week_rate = #{thirtyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyTwoWeekRate != null">
        thirty_two_week_rate = #{thirtyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyThreeWeekRate != null">
        thirty_three_week_rate = #{thirtyThreeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyFourthWeekRate != null">
        thirty_fourth_week_rate = #{thirtyFourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyFiveWeekRate != null">
        thirty_five_week_rate = #{thirtyFiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtySixWeekRate != null">
        thirty_six_week_rate = #{thirtySixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtySeveneWeekRate != null">
        thirty_sevene_week_rate = #{thirtySeveneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyEightWeekRate != null">
        thirty_eight_week_rate = #{thirtyEightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="thirtyNineWeekRate != null">
        thirty_nine_week_rate = #{thirtyNineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyWeekRate != null">
        forty_week_rate = #{fortyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyOneWeekRate != null">
        forty_one_week_rate = #{fortyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyTwoWeekRate != null">
        forty_two_week_rate = #{fortyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyThreeWeekRate != null">
        forty_three_week_rate = #{fortyThreeWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyFourthWeekRate != null">
        forty_fourth_week_rate = #{fortyFourthWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyFiveWeekRate != null">
        forty_five_week_rate = #{fortyFiveWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortySixWeekRate != null">
        forty_six_week_rate = #{fortySixWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortySeveneWeekRate != null">
        forty_sevene_week_rate = #{fortySeveneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyEightWeekRate != null">
        forty_eight_week_rate = #{fortyEightWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fortyNineWeekRate != null">
        forty_nine_week_rate = #{fortyNineWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiftyWeekRate != null">
        fifty_week_rate = #{fiftyWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiftyOneWeekRate != null">
        fifty_one_week_rate = #{fiftyOneWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="fiftyTwoWeekRate != null">
        fifty_two_week_rate = #{fiftyTwoWeekRate,jdbcType=DECIMAL},
      </if>
      <if test="saleDetail != null">
        sale_detail = #{saleDetail,jdbcType=VARCHAR},
      </if>
      <if test="rateDetail != null">
        rate_detail = #{rateDetail,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <insert id="upsert" parameterType="com.bailuntec.domain.entity.DcAutoWarehouseweekSales">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      @project https://github.com/itfsw/mybatis-generator-plugin
    -->
    insert into dc_auto_warehouseweek_sales
    (id, warehouse_code, report_date, week_time, bj_create, bj_modified, one_week_rate, 
      two_week_rate, three_week_rate, fourth_week_rate, five_week_rate, six_week_rate, 
      seven_week_rate, eight_week_rate, nine_week_rate, ten_week_rate, eleven_week_rate, 
      twelve_week_rate, thridteen_week_rate, fourteen_week_rate, fifteen_week_rate, sixteen_week_rate, 
      seventeen_week_rate, eighteen_week_rate, nineteen_week_rate, twenty_week_rate, 
      twenty_one_week_rate, twenty_two_week_rate, twenty_three_week_rate, twenty_fourth_week_rate, 
      twenty_five_week_rate, twenty_six_week_rate, twenty_sevene_week_rate, twenty_eight_week_rate, 
      twenty_nine_week_rate, thirty_week_rate, thirty_one_week_rate, thirty_two_week_rate, 
      thirty_three_week_rate, thirty_fourth_week_rate, thirty_five_week_rate, thirty_six_week_rate, 
      thirty_sevene_week_rate, thirty_eight_week_rate, thirty_nine_week_rate, forty_week_rate, 
      forty_one_week_rate, forty_two_week_rate, forty_three_week_rate, forty_fourth_week_rate, 
      forty_five_week_rate, forty_six_week_rate, forty_sevene_week_rate, forty_eight_week_rate, 
      forty_nine_week_rate, fifty_week_rate, fifty_one_week_rate, fifty_two_week_rate, 
      sale_detail, rate_detail)
    values
    (#{id,jdbcType=INTEGER}, #{warehouseCode,jdbcType=VARCHAR}, #{reportDate,jdbcType=INTEGER}, 
      #{weekTime,jdbcType=VARCHAR}, #{bjCreate,jdbcType=TIMESTAMP}, #{bjModified,jdbcType=TIMESTAMP}, 
      #{oneWeekRate,jdbcType=DECIMAL}, #{twoWeekRate,jdbcType=DECIMAL}, #{threeWeekRate,jdbcType=DECIMAL}, 
      #{fourthWeekRate,jdbcType=DECIMAL}, #{fiveWeekRate,jdbcType=DECIMAL}, #{sixWeekRate,jdbcType=DECIMAL}, 
      #{sevenWeekRate,jdbcType=DECIMAL}, #{eightWeekRate,jdbcType=DECIMAL}, #{nineWeekRate,jdbcType=DECIMAL}, 
      #{tenWeekRate,jdbcType=DECIMAL}, #{elevenWeekRate,jdbcType=DECIMAL}, #{twelveWeekRate,jdbcType=DECIMAL}, 
      #{thridteenWeekRate,jdbcType=DECIMAL}, #{fourteenWeekRate,jdbcType=DECIMAL}, #{fifteenWeekRate,jdbcType=DECIMAL}, 
      #{sixteenWeekRate,jdbcType=DECIMAL}, #{seventeenWeekRate,jdbcType=DECIMAL}, #{eighteenWeekRate,jdbcType=DECIMAL}, 
      #{nineteenWeekRate,jdbcType=DECIMAL}, #{twentyWeekRate,jdbcType=DECIMAL}, #{twentyOneWeekRate,jdbcType=DECIMAL}, 
      #{twentyTwoWeekRate,jdbcType=DECIMAL}, #{twentyThreeWeekRate,jdbcType=DECIMAL}, 
      #{twentyFourthWeekRate,jdbcType=DECIMAL}, #{twentyFiveWeekRate,jdbcType=DECIMAL}, 
      #{twentySixWeekRate,jdbcType=DECIMAL}, #{twentySeveneWeekRate,jdbcType=DECIMAL}, 
      #{twentyEightWeekRate,jdbcType=DECIMAL}, #{twentyNineWeekRate,jdbcType=DECIMAL}, 
      #{thirtyWeekRate,jdbcType=DECIMAL}, #{thirtyOneWeekRate,jdbcType=DECIMAL}, #{thirtyTwoWeekRate,jdbcType=DECIMAL}, 
      #{thirtyThreeWeekRate,jdbcType=DECIMAL}, #{thirtyFourthWeekRate,jdbcType=DECIMAL}, 
      #{thirtyFiveWeekRate,jdbcType=DECIMAL}, #{thirtySixWeekRate,jdbcType=DECIMAL}, 
      #{thirtySeveneWeekRate,jdbcType=DECIMAL}, #{thirtyEightWeekRate,jdbcType=DECIMAL}, 
      #{thirtyNineWeekRate,jdbcType=DECIMAL}, #{fortyWeekRate,jdbcType=DECIMAL}, #{fortyOneWeekRate,jdbcType=DECIMAL}, 
      #{fortyTwoWeekRate,jdbcType=DECIMAL}, #{fortyThreeWeekRate,jdbcType=DECIMAL}, #{fortyFourthWeekRate,jdbcType=DECIMAL}, 
      #{fortyFiveWeekRate,jdbcType=DECIMAL}, #{fortySixWeekRate,jdbcType=DECIMAL}, #{fortySeveneWeekRate,jdbcType=DECIMAL}, 
      #{fortyEightWeekRate,jdbcType=DECIMAL}, #{fortyNineWeekRate,jdbcType=DECIMAL}, 
      #{fiftyWeekRate,jdbcType=DECIMAL}, #{fiftyOneWeekRate,jdbcType=DECIMAL}, #{fiftyTwoWeekRate,jdbcType=DECIMAL}, 
      #{saleDetail,jdbcType=VARCHAR}, #{rateDetail,jdbcType=VARCHAR})
    on duplicate key update 
    id = #{id,jdbcType=INTEGER}, 
    warehouse_code = #{warehouseCode,jdbcType=VARCHAR}, 
    report_date = #{reportDate,jdbcType=INTEGER}, 
    week_time = #{weekTime,jdbcType=VARCHAR}, 
    bj_create = #{bjCreate,jdbcType=TIMESTAMP}, 
    bj_modified = #{bjModified,jdbcType=TIMESTAMP}, 
    one_week_rate = #{oneWeekRate,jdbcType=DECIMAL}, 
    two_week_rate = #{twoWeekRate,jdbcType=DECIMAL}, 
    three_week_rate = #{threeWeekRate,jdbcType=DECIMAL}, 
    fourth_week_rate = #{fourthWeekRate,jdbcType=DECIMAL}, 
    five_week_rate = #{fiveWeekRate,jdbcType=DECIMAL}, 
    six_week_rate = #{sixWeekRate,jdbcType=DECIMAL}, 
    seven_week_rate = #{sevenWeekRate,jdbcType=DECIMAL}, 
    eight_week_rate = #{eightWeekRate,jdbcType=DECIMAL}, 
    nine_week_rate = #{nineWeekRate,jdbcType=DECIMAL}, 
    ten_week_rate = #{tenWeekRate,jdbcType=DECIMAL}, 
    eleven_week_rate = #{elevenWeekRate,jdbcType=DECIMAL}, 
    twelve_week_rate = #{twelveWeekRate,jdbcType=DECIMAL}, 
    thridteen_week_rate = #{thridteenWeekRate,jdbcType=DECIMAL}, 
    fourteen_week_rate = #{fourteenWeekRate,jdbcType=DECIMAL}, 
    fifteen_week_rate = #{fifteenWeekRate,jdbcType=DECIMAL}, 
    sixteen_week_rate = #{sixteenWeekRate,jdbcType=DECIMAL}, 
    seventeen_week_rate = #{seventeenWeekRate,jdbcType=DECIMAL}, 
    eighteen_week_rate = #{eighteenWeekRate,jdbcType=DECIMAL}, 
    nineteen_week_rate = #{nineteenWeekRate,jdbcType=DECIMAL}, 
    twenty_week_rate = #{twentyWeekRate,jdbcType=DECIMAL}, 
    twenty_one_week_rate = #{twentyOneWeekRate,jdbcType=DECIMAL}, 
    twenty_two_week_rate = #{twentyTwoWeekRate,jdbcType=DECIMAL}, 
    twenty_three_week_rate = #{twentyThreeWeekRate,jdbcType=DECIMAL}, 
    twenty_fourth_week_rate = #{twentyFourthWeekRate,jdbcType=DECIMAL}, 
    twenty_five_week_rate = #{twentyFiveWeekRate,jdbcType=DECIMAL}, 
    twenty_six_week_rate = #{twentySixWeekRate,jdbcType=DECIMAL}, 
    twenty_sevene_week_rate = #{twentySeveneWeekRate,jdbcType=DECIMAL}, 
    twenty_eight_week_rate = #{twentyEightWeekRate,jdbcType=DECIMAL}, 
    twenty_nine_week_rate = #{twentyNineWeekRate,jdbcType=DECIMAL}, 
    thirty_week_rate = #{thirtyWeekRate,jdbcType=DECIMAL}, 
    thirty_one_week_rate = #{thirtyOneWeekRate,jdbcType=DECIMAL}, 
    thirty_two_week_rate = #{thirtyTwoWeekRate,jdbcType=DECIMAL}, 
    thirty_three_week_rate = #{thirtyThreeWeekRate,jdbcType=DECIMAL}, 
    thirty_fourth_week_rate = #{thirtyFourthWeekRate,jdbcType=DECIMAL}, 
    thirty_five_week_rate = #{thirtyFiveWeekRate,jdbcType=DECIMAL}, 
    thirty_six_week_rate = #{thirtySixWeekRate,jdbcType=DECIMAL}, 
    thirty_sevene_week_rate = #{thirtySeveneWeekRate,jdbcType=DECIMAL}, 
    thirty_eight_week_rate = #{thirtyEightWeekRate,jdbcType=DECIMAL}, 
    thirty_nine_week_rate = #{thirtyNineWeekRate,jdbcType=DECIMAL}, 
    forty_week_rate = #{fortyWeekRate,jdbcType=DECIMAL}, 
    forty_one_week_rate = #{fortyOneWeekRate,jdbcType=DECIMAL}, 
    forty_two_week_rate = #{fortyTwoWeekRate,jdbcType=DECIMAL}, 
    forty_three_week_rate = #{fortyThreeWeekRate,jdbcType=DECIMAL}, 
    forty_fourth_week_rate = #{fortyFourthWeekRate,jdbcType=DECIMAL}, 
    forty_five_week_rate = #{fortyFiveWeekRate,jdbcType=DECIMAL}, 
    forty_six_week_rate = #{fortySixWeekRate,jdbcType=DECIMAL}, 
    forty_sevene_week_rate = #{fortySeveneWeekRate,jdbcType=DECIMAL}, 
    forty_eight_week_rate = #{fortyEightWeekRate,jdbcType=DECIMAL}, 
    forty_nine_week_rate = #{fortyNineWeekRate,jdbcType=DECIMAL}, 
    fifty_week_rate = #{fiftyWeekRate,jdbcType=DECIMAL}, 
    fifty_one_week_rate = #{fiftyOneWeekRate,jdbcType=DECIMAL}, 
    fifty_two_week_rate = #{fiftyTwoWeekRate,jdbcType=DECIMAL}, 
    sale_detail = #{saleDetail,jdbcType=VARCHAR}, 
    rate_detail = #{rateDetail,jdbcType=VARCHAR}
  </insert>
  <select id="selectOneByExample" parameterType="com.bailuntec.domain.example.DcAutoWarehouseweekSalesExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      @project https://github.com/itfsw/mybatis-generator-plugin
    -->
    select
    <include refid="Base_Column_List" />
    from dc_auto_warehouseweek_sales
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
    limit 1
  </select>

  <select id="selectOneByWeekDay" resultMap="BaseResultMap">
    select
    warehouse_code, report_date, week(now()) as week_time, sale_detail, rate_detail
    from dc_auto_warehouseweek_sales
    where warehouse_code = #{warehouseCode} and report_date = '2018' limit 1
  </select>
</mapper>